%define _python_bytecompile_errors_terminate_build 0

Name:       bash-completion
Version:    2.1
Release:    %mkrel 1
Summary:    Programmable completion for bash
Summary(de): Programmierbare Vervollständigung für die bash
Group:      Shells
License:    GPL
URL:        http://bash-completion.alioth.debian.org/
Source0:    http://bash-completion.alioth.debian.org/files/%{name}-%{version}.tar.xz
Patch0:     bash-completion-2.1-fix-readline-quoting.patch
Patch1:     bash-completion-2.1-fix-bad-array-subscript.patch
Patch10:    bash-completion-1.99-disable-user-completion.patch
BuildArch:  noarch

%description
bash-completion is a collection of shell functions that take advantage of
the programmable completion feature of bash.

%description -l de
bash-completion ist eine Sammlung von shell-Funktionen, die
den Vorteil der programmierbaren Vervollständigung für die bash
nutzen.


%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

# Remove files now provided in util-linux-ng package
rm -f %{buildroot}%_datadir/bash-completion/completions/{nmcli,chsh,su,cal,dmesg,eject,hexdump,ionice,look,renice,hwclock,rtcwake}

chmod 644 %{buildroot}%_datadir/bash-completion/bash_completion

# adapt installation
rm -f %{buildroot}%_sysconfdir/profile.d/bash_completion.sh

mkdir -p %{buildroot}%_sysconfdir/profile.d/
cat <<'EOF' >> %{buildroot}%_sysconfdir/profile.d/20bash-completion.sh
# Check for interactive bash and that we haven't already been sourced.
if [ -z "$BASH_VERSION" -o -z "$PS1" -o -n "$BASH_COMPLETION_COMPAT_DIR" ]; then
    return
fi

# source system wide config file
. %_sysconfdir/sysconfig/bash-completion

# source user config file if available,
if [ -f $HOME/.bash_completion ]; then
    . $HOME/.bash_completion
fi

if [ -n "$ENABLE_BASH_COMPLETION" ]; then
    . %_datadir/bash-completion/bash_completion
fi
EOF

mkdir -p %{buildroot}%_sysconfdir/sysconfig
cat <<'EOF' >> %{buildroot}%_sysconfdir/sysconfig/bash-completion
# bash completion global configuration

# enable bash completion
ENABLE_BASH_COMPLETION=1
# enable remote cvs completion
COMP_CVS_REMOTE=
# enable configure arguments completion
COMP_CONFIGURE_HINTS=
# enable tar archive internal path completion
COMP_TAR_INTERNAL_PATHS=
# enable wireless uid completion
COMP_IWLIST_SCAN=
# enable zeroconf hostnames completion
COMP_KNOWN_HOSTS_WITH_AVAHI=
# enable hostfile hostnames completion
COMP_KNOWN_HOSTS_WITH_HOSTFILE=1
EOF

mkdir -p %{buildroot}%_sysconfdir/skel
cat <<'EOF' >> %{buildroot}%_sysconfdir/skel/.bash_completion
# bash completion local configuration

# enable bash completion
#ENABLE_BASH_COMPLETION=1
# enable remote cvs completion
#COMP_CVS_REMOTE=
# enable configure arguments completion
#COMP_CONFIGURE_HINTS=
# enable tar archive internal path completion
#COMP_TAR_INTERNAL_PATHS=
# enable wireless uid completion
#COMP_IWCONFIG_SCAN=
# enable zeroconf hostnames completion
#COMP_AVAHI_BROWSE=
EOF

%triggerpostun -- bash-completion < 1.90
# drop dangling symlinks resulting from previous setup
find %{_sysconfdir}/bash_completion.d -type l | xargs rm -f

%files
%doc README
%{_sysconfdir}/profile.d/20bash-completion.sh
%{_datadir}/bash-completion
%{_datadir}/pkgconfig/bash-completion.pc
%config(noreplace) %{_sysconfdir}/sysconfig/bash-completion
%config(noreplace) %{_sysconfdir}/skel/.bash_completion


%changelog
* Wed Dec 30 2015 bb <bb> 2.1-1pclos2015
- update

* Wed Jun 20 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.0-1pclos2012
- 2.0
- added german summary and description
- renamed spec to pclos-bash-completion.spec
- added xz compression
- disabled patch 8
- fixed line numbers in patches
- fixed code of disable-user.. patch
- fixed files section

* Tue Aug 16 2011 Texstar <texstar at gmail.com> 1.3-1pclos2011
- 1.3

